#include <rtl.h>
#include <time.h>
#include <pthread.h>
#include <mbuff.h>

pthread_t thread;

volatile int* shm_ptr;
#define SHRMEM_NAME "mbufftest"

void* routine(void* t)
{


	struct sched_param p;
	p . sched_priority = 1;
	pthread_setschedparam (pthread_self(), SCHED_FIFO, &p);
	*shm_ptr = 0;

	pthread_make_periodic_np(pthread_self(),gethrtime(),400000000);
	while(1)
	{
		pthread_wait_np();
		//rtl_printf("NOW ACCESSING SHRMEM.....\n");
		(*shm_ptr)++;
	}
	return 0;
}


int init_module(void){
	
	if((shm_ptr = (volatile int*) mbuff_alloc(SHRMEM_NAME,sizeof(int))) == NULL)
	{
		rtl_printf("MBUFF_ALLOC FAILED\n");
		return -1;
	}
	
	return pthread_create (&thread,NULL,routine,0);
}


void cleanup_module(void)
{
	pthread_delete_np(thread);
	mbuff_free(SHRMEM_NAME,(void*)shm_ptr);
}





