#!/bin/sh

gnuplot << EOF
set term png
set title "rtai vs rtlinux"
set output "rtai_rtlinux.png"
set xlabel "microseconds"
set ylabel "occurrences"
set logscale x
set logscale y
set xrange [.1 to *]
set yrange [.1 to *]

plot "rtai_kernel" with linespoints, \
"rtlinux_kernel" with lines
EOF

