int WINAPI WinMain(
  HINSTANCE hInstance,		// handle to current instance
  HINSTANCE hPrevInstance,	// handle to previous instance
  LPSTR lpCmdLine,			// pointer to command line
  int nCmdShow				// show state of window
)
{
	int			argc, i, nLength;
	char		**argv;
	char		*lpszCmdLine ;
	LPCTSTR		cmdline;
	
	m_hInstance = hInstance;
	cmdline		= GetCommandLine();
	nLength		= strlen( cmdline );
	lpszCmdLine	= (char *)malloc( nLength + 4 );
	memset( lpszCmdLine, 0, nLength + 4 );
	while( *cmdline == ' ' ){
		cmdline ++;
		nLength --;
	}
	while( cmdline[ nLength - 1 ]  == ' ' ){
		nLength --;
	}
	strncpy( lpszCmdLine, cmdline, nLength );

	/* ޥɥ饤η׻ */
	{
		LPCTSTR		tmp = lpszCmdLine;
		argc = 0;
		while( *tmp ){
			if( *tmp == ' ' ){
				while( *tmp == ' ' )
					tmp ++;
			}
			if( *tmp == '\0' )
				break;
			if( *tmp == '\"' ){
				tmp ++;
				while( *tmp && *tmp != '\"' ){
					tmp ++;
				}
				tmp++;

			} else {
				while( *tmp != ' ' && *tmp != '\0' ){
					tmp ++;
				}
			}
			argc ++;
		}
	}

	argv = (char **)malloc( sizeof( char *) * (argc + 1) );

	/* °ΰϤ */
	{
		LPCTSTR		tmp = lpszCmdLine;
		for(i = 0;i < argc && *tmp ;i++){
			char	*dst;
			dst = argv[ i ] = (char *)malloc( nLength );
			if( *tmp == ' ' ){
				while( *tmp == ' ' )
					tmp ++;
			}
			if( *tmp == '\"' ){
				tmp ++;
				while( *tmp && *tmp != '\"' ){
					*dst = *tmp;
					tmp ++;
					dst ++;
				}
				tmp++;
				*dst = '\0';
			} else {
				while( *tmp != ' ' && *tmp != '\0' ){
					*dst = *tmp;
					tmp ++;
					dst ++;
				}
			}
			*dst = '\0';
		}
	}

//	char	*console[] = {"AAA",NULL};
	return	main( argc, argv );
}


static DWORD WINAPI ThreadFunc(LPVOID pvoid)
{

	MSG msg;
	CreateDialog( 
		m_hInstance, 
		MAKEINTRESOURCE( IDD_ENCODING ),
		NULL,
		DialogProc );

	while (GetMessage(&msg, NULL, 0, 0)) {
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}
	return 0;
}


static		DISPLAYINFO		dispHistory;

/* β̹Ԥ */
void
DisplayUpdate( HWND hDlg )
{
	if( !dispinfo.bVailed ){		// ͭǤϤʤ
		return;
	}
	if( strcmp( dispinfo.szPathName, dispHistory.szPathName ) ){
		TCHAR	buf[1024];
		wsprintf( buf, "MP3եΥ󥳡Ǥ ... %s", dispinfo.szPathName ); 
		SetDlgItemText(hDlg, IDC_TXT_FILENAME, buf );
	}
	if( dispinfo.nProgress != dispHistory.nProgress ){
		HWND	hProgress = GetDlgItem( hDlg, IDC_PROGRESS );
		SendMessage( hProgress, PBM_SETPOS, dispinfo.nProgress / 10, 0);
	}
	if( dispinfo.nResTime != dispHistory.nResTime ){
		int		min, sec;
		TCHAR	buf[1024];
		sec = dispinfo.nResTime;
		min = sec / 60; sec %= 60;
		wsprintf( buf, "Ĥ  :  %02d:%02d ", min, sec ); 
		SetDlgItemText(hDlg, IDC_RESV_TIME, buf );
	}
	if( dispinfo.nEncMode != dispHistory.nEncMode ||
		dispinfo.nBitRate != dispHistory.nBitRate ){
		TCHAR	buf[1024], *p2;
		switch( dispinfo.nEncMode ){
		case 	MC_MODE_MONO:
			p2 = "Υ⡼";
			break;
		case	MC_MODE_STEREO:
			p2 = "ƥ쥪⡼";
			break;
		case	MC_MODE_JOINT:
			p2 = "祤ȥƥ쥪";
			break;
		case	MC_MODE_MSSTEREO:
			p2 = "ߥåɥɥƥ쥪";
			break;
		case	MC_MODE_DUALCHANNEL:
			p2 = "ǥ奢ͥ";
			break;
		default:
			p2 = "̤ΤΥ⡼";
			break;
		}
		wsprintf( buf, "%s  %d kbps  %s", p2, dispinfo.nBitRate, dispinfo.bUsePsy ? "ͭ" : "̵" );
		SetDlgItemText(hDlg, IDC_TXT_ENCODESTATUS, buf );
	}
	
	dispHistory = dispinfo;
}

#define		TIMER_ID		1000
BOOL CALLBACK DialogProc(
  HWND hDlg,  // handle to dialog box
  UINT uMsg,     // message
  WPARAM wParam, // first message parameter
  LPARAM lParam  // second message parameter
)
{
//    char szText[1024];

    switch (uMsg) {
		case WM_INITDIALOG:
			// ǥåȥܥå
			{
				HWND	hProgress = GetDlgItem( hDlg, IDC_PROGRESS );
				SendMessage( hProgress, PBM_SETRANGE, 0, MAKELONG(0,100));
				SendMessage( hProgress, PBM_SETPOS, 0, 0);
				{
					// ַ
					int		left, top;
					RECT		deskRect, winRect;
					HWND hDesk = GetDesktopWindow();
					GetClientRect( hDesk, &deskRect );
					GetClientRect( hDlg,  &winRect );
					left = ( deskRect.right - winRect.right ) / 2;
					top  = ( deskRect.bottom ) / 2;
					SetWindowPos( hDlg, NULL, left, top, 0, 0, SWP_NOZORDER | SWP_NOSIZE );
				}
				ShowWindow( hDlg, SW_SHOW );
				SetTimer( hDlg, TIMER_ID, 300, NULL );
				memset( &dispHistory, 0, sizeof dispHistory );
			}
			return TRUE;
		case WM_COMMAND:
			switch (LOWORD(wParam)) {
				case IDOK:
				case IDCANCEL:
					KillTimer( hDlg, TIMER_ID );
					m_bCancel = TRUE;					
			}
			return FALSE;
		case WM_NOTIFY:
			switch( wParam ){
				default:
					return FALSE;
			}
			break;
		case WM_TIMER:
			if( wParam == TIMER_ID ){
				DisplayUpdate( hDlg );
				return TRUE;
			}
    }
    return FALSE;

}
