/*
 *	for new GOGO-no-coda (1999/09)
 *	Copyright (C) 1999 shigeo
 *	special thanks to Keiichi SAKAI, URURI
 */

/*
 *	1999/08/04
 *		window_filter_subbandؤؤ
 *		C٥50%ι® & 3DN by shigeo
 *	1999/09/??
 *		蘆󡢤ꤵˤasmŬ
 *		LAMEfilter_subband(), window_subband()򻲾Ȥʤ
 *		full asm
 *	1999/09/15
 *		3D Now!롼ɽ
 *	2000/03/08
 *		window_filter_subband_C()衪 _P6FPUȤѤʤɡ
 *		mfbuf, sbd_xxx ⤦äȤޤˤǤʤΤ... by K.SAKAI
 *	2000/04/17
 *		SMPŬΤ by K.SAKAI
 */

#include "common.h"
#include "encoder.h"
#include "haveunit.h"
#include "subband.h"

/* sband*.nas */
void window_filter_subband_3DN(float *win_buf, float *s, int mode_gr);
void window_filter_subband_SSE(float *win_buf, float *s, int mode_gr);
void window_filter_subband_FPU(float *win_buf, float *s, int mode_gr);
#ifdef USE_E3DN
void window_filter_subband_E3DN(float *win_buf, float *s,int mode_gr);
#endif

/* defined in sband*.nas */
extern float	sbd_xxx[2][HAN_SIZE+1152];
extern float	enwindow[16][8][4];
extern float	idct_coefficient[16][32];

void sbd_shiftin_SSE(int (*mfbuf)[1152+576+EXTRADELAY], int stereo, int mode_gr);
void sbd_shiftin_SSE_MULTI(int (*mfbuf)[1152+576+EXTRADELAY], int stereo, int mode_gr);
void sbd_shiftin_3DN(int (*mfbuf)[1152+576+EXTRADELAY], int stereo, int mode_gr);
#ifdef USE_E3DN
void sbd_shiftin_E3DN(int (*mfbuf)[1152+576+EXTRADELAY], int stereo, int mode_gr);
#endif
static void
sbd_shiftin_C(int (*mfbuf)[1152+576+EXTRADELAY], int stereo, int mode_gr)
{
	float	*c;
	int	ch, i, j, *win_buf;

	for(ch = 0; ch < stereo; ch++){
		c = &sbd_xxx[ch][1152-18*32*mode_gr];
		memcpy(&sbd_xxx[ch][1152+32], c+32, (512-32)*sizeof(float));
		c = &sbd_xxx[ch][1152];
		win_buf = mfbuf[ch];
		for(j = 0; j < 18*mode_gr; j++){
			for (i = 31;i >=0;i--){
				c[i] = *win_buf++;
			}
			c -= 32;
		}
	}
}

static void
sbd_shiftin_empty(int (*mfbuf)[1152+576+EXTRADELAY], int stereo, int mode_gr)
{
}


void frame_shiftin_multi_SSE(int (*int_buf)[1152+576+EXTRADELAY], short *frame_buf, float (*flt_buf)[1152+HAN_SIZE], int mode_gr, int stereo);
#if 0
// סΤᡣ
frame_shiftin_multi_C(int (*int_buf)[1152+576+EXTRADELAY], short *frame_buf, float (*flt_buf)[1152+HAN_SIZE], int mode_gr, int stereo)
{
	static short saved_frame[2*(480+576+EXTRADELAY)];
	if(mode_gr == 2){
/*
 int_bufƬ576Ǥϥԡɬפʤ
source                 destination,...
saved_frame[ 479:   0] flt_buf[1184:1663] 480 sample
saved_frame[1055: 480] flt_buf[ 608:1183] int_buf[ 575:   0] 576 sample
saved_frame[1111:1056] flt_buf[ 552: 607] int_buf[ 631: 576] EXTRADELAY sample
  frame_buf[  39:   0] flt_buf[ 512: 551] int_buf[ 671: 632] 40(96-EXTRADELAY) sample
  frame_buf[ 519:  40] flt_buf[  32: 511] int_buf[1151: 672] saved_frame[ 479:   0] 480 sample
  frame_buf[1151: 520]                    int_buf[1783:1152] saved_frame[1111: 480] 576+EXTRADELAY sample
*/
	}else{
/*
 int_bufƬ576Ǥϥԡɬפʤ
source                 destination,...
saved_frame[ 479:   0] flt_buf[1184:1663] 480 sample
saved_frame[ 575: 480] flt_buf[1088:1183] int_buf[  95:   0] 96 sample
saved_frame[1055: 576] flt_buf[ 608:1087] int_buf[ 575:  96] saved_frame[ 479:   0] 480 sample
saved_frame[1111:1056]                    int_buf[ 631: 576] saved_frame[ 535: 480] EXTRADELAY sample
  frame_buf[ 576:   0]                    int_buf[1207: 632] saved_frame[1111: 536] 576 sample
*/
	}
}
#endif

#if 0
// סñʤ륵ץ륳ɡ
static void
window_filter_subband_C(float *win_buf, float *xout, int mode_gr)
{
	float	*c, yprime[32];
	int	i,j,k;

	c = &win_buf[1152];
	for(j = 0; j < 18*mode_gr; j++){
#if 0
// ΤSSEμ
		float	y[64];
#define	CxE(X,I)	c[64*X + i+I]*enwindow[i/4][X][I]
		for(i = 0; i < HAN_SIZE/8; i += 4){
			y[i+0] =CxE(0,0); y[i+1] =CxE(0,1); y[i+2] =CxE(0,2); y[i+3] =CxE(0,3);
			y[i+0]+=CxE(1,0); y[i+1]+=CxE(1,1); y[i+2]+=CxE(1,2); y[i+3]+=CxE(1,3);
			y[i+0]+=CxE(2,0); y[i+1]+=CxE(2,1); y[i+2]+=CxE(2,2); y[i+3]+=CxE(2,3);
			y[i+0]+=CxE(3,0); y[i+1]+=CxE(3,1); y[i+2]+=CxE(3,2); y[i+3]+=CxE(3,3);
			y[i+0]+=CxE(4,0); y[i+1]+=CxE(4,1); y[i+2]+=CxE(4,2); y[i+3]+=CxE(4,3);
			y[i+0]+=CxE(5,0); y[i+1]+=CxE(5,1); y[i+2]+=CxE(5,2); y[i+3]+=CxE(5,3);
			y[i+0]+=CxE(6,0); y[i+1]+=CxE(6,1); y[i+2]+=CxE(6,2); y[i+3]+=CxE(6,3);
			y[i+0]+=CxE(7,0); y[i+1]+=CxE(7,1); y[i+2]+=CxE(7,2); y[i+3]+=CxE(7,3);
		}
		yprime[0] = y[16];
		for( i=1; i<=16; i++ ) yprime[i] = y[i+16]+y[16-i];
		for( i=17; i<=31; i++ ) yprime[i] = y[i+16]-y[80-i];
#endif	/* ΤSSEμ */

// for FPU
		yprime[16] = (c[64*1]+c[64*7])*enwindow[0][1][0]
		      + (c[64*2]+c[64*6])*enwindow[0][2][0]
		      + (c[64*3]+c[64*5])*enwindow[0][3][0]
		      +  c[64*4]*enwindow[0][4][0]
		      + (c[64*0+32]-c[64*7+32])*enwindow[8][0][0]
		      + (c[64*1+32]-c[64*6+32])*enwindow[8][1][0]
		      + (c[64*2+32]-c[64*5+32])*enwindow[8][2][0]
		      + (c[64*3+32]-c[64*4+32])*enwindow[8][3][0];

		yprime[ 0] = c[64*0+16]*enwindow[4][0][0]
		      + c[64*1+16]*enwindow[4][1][0]
		      + c[64*2+16]*enwindow[4][2][0]
		      + c[64*3+16]*enwindow[4][3][0]
		      + c[64*4+16]*enwindow[4][4][0]
		      + c[64*5+16]*enwindow[4][5][0]
		      + c[64*6+16]*enwindow[4][6][0]
		      + c[64*7+16]*enwindow[4][7][0];

		for(i = 1; i < 16; i++){
			register float	a, b;
#if 1
			register float	*cp, *cm;

			cp = &c[i]; cm = &c[-i];

			// enwindow ϡFPU, 3D Now!, SSE̤⡣
			// SSEơ֥ϻȤˤ...
			a  =cp[64*0     ]*enwindow[i/4  ][0][i%4];
			b  =cm[64*7 + 64]*enwindow[i/4  ][0][i%4]; // ž
			a -=cm[64*7 + 32]*enwindow[i/4+8][0][i%4]; // ž
			b +=cp[64*0 + 32]*enwindow[i/4+8][0][i%4];

			a +=cp[64*1     ]*enwindow[i/4  ][1][i%4];
			b +=cm[64*6 + 64]*enwindow[i/4  ][1][i%4]; // ž
			a -=cm[64*6 + 32]*enwindow[i/4+8][1][i%4]; // ž
			b +=cp[64*1 + 32]*enwindow[i/4+8][1][i%4];

			a +=cp[64*2     ]*enwindow[i/4  ][2][i%4];
			b +=cm[64*5 + 64]*enwindow[i/4  ][2][i%4]; // ž
			a -=cm[64*5 + 32]*enwindow[i/4+8][2][i%4]; // ž
			b +=cp[64*2 + 32]*enwindow[i/4+8][2][i%4];

			a +=cp[64*3     ]*enwindow[i/4  ][3][i%4];
			b +=cm[64*4 + 64]*enwindow[i/4  ][3][i%4]; // ž
			a -=cm[64*4 + 32]*enwindow[i/4+8][3][i%4]; // ž
			b +=cp[64*3 + 32]*enwindow[i/4+8][3][i%4];

			a +=cp[64*4     ]*enwindow[i/4  ][4][i%4];
			b +=cm[64*3 + 64]*enwindow[i/4  ][4][i%4]; // ž
			a -=cm[64*3 + 32]*enwindow[i/4+8][4][i%4]; // ž
			b +=cp[64*4 + 32]*enwindow[i/4+8][4][i%4];

			a +=cp[64*5     ]*enwindow[i/4  ][5][i%4];
			b +=cm[64*2 + 64]*enwindow[i/4  ][5][i%4]; // ž
			a -=cm[64*2 + 32]*enwindow[i/4+8][5][i%4]; // ž
			b +=cp[64*5 + 32]*enwindow[i/4+8][5][i%4];

			a +=cp[64*6     ]*enwindow[i/4  ][6][i%4];
			b +=cm[64*1 + 64]*enwindow[i/4  ][6][i%4]; // ž
			a -=cm[64*1 + 32]*enwindow[i/4+8][6][i%4]; // ž
			b +=cp[64*6 + 32]*enwindow[i/4+8][6][i%4];

			a +=cp[64*7     ]*enwindow[i/4  ][7][i%4];
			b +=cm[64*0 + 64]*enwindow[i/4  ][7][i%4]; // ž
			a -=cm[64*0 + 32]*enwindow[i/4+8][7][i%4]; // ž
			b +=cp[64*7 + 32]*enwindow[i/4+8][7][i%4];
#else
			// sbd_xxx ѿ¤ӤѤi32-iΤ褦
			// ˤǥå̵롣
			a  =c[64*0 + i   ]*enwindow[i/4  ][0][i%4];
			a -=c[64*7 + 32-i]*enwindow[i/4+8][0][i%4]; // ž
			b  =c[64*0 + i+32]*enwindow[i/4+8][0][i%4];
			b +=c[64*7 + 64-i]*enwindow[i/4  ][0][i%4]; // ž

			a +=c[64*1 + i   ]*enwindow[i/4  ][1][i%4];
			a -=c[64*6 + 32-i]*enwindow[i/4+8][1][i%4]; // ž
			b +=c[64*1 + i+32]*enwindow[i/4+8][1][i%4];
			b +=c[64*6 + 64-i]*enwindow[i/4  ][1][i%4]; // ž

			a +=c[64*2 + i   ]*enwindow[i/4  ][2][i%4];
			a -=c[64*5 + 32-i]*enwindow[i/4+8][2][i%4]; // ž
			b +=c[64*2 + i+32]*enwindow[i/4+8][2][i%4];
			b +=c[64*5 + 64-i]*enwindow[i/4  ][2][i%4]; // ž

			a +=c[64*3 + i   ]*enwindow[i/4  ][3][i%4];
			a -=c[64*4 + 32-i]*enwindow[i/4+8][3][i%4]; // ž
			b +=c[64*3 + i+32]*enwindow[i/4+8][3][i%4];
			b +=c[64*4 + 64-i]*enwindow[i/4  ][3][i%4]; // ž

			a +=c[64*4 + i   ]*enwindow[i/4  ][4][i%4];
			a -=c[64*3 + 32-i]*enwindow[i/4+8][4][i%4]; // ž
			b +=c[64*4 + i+32]*enwindow[i/4+8][4][i%4];
			b +=c[64*3 + 64-i]*enwindow[i/4  ][4][i%4]; // ž

			a +=c[64*5 + i   ]*enwindow[i/4  ][5][i%4];
			a -=c[64*2 + 32-i]*enwindow[i/4+8][5][i%4]; // ž
			b +=c[64*5 + i+32]*enwindow[i/4+8][5][i%4];
			b +=c[64*2 + 64-i]*enwindow[i/4  ][5][i%4]; // ž

			a +=c[64*6 + i   ]*enwindow[i/4  ][6][i%4];
			a -=c[64*1 + 32-i]*enwindow[i/4+8][6][i%4]; // ž
			b +=c[64*6 + i+32]*enwindow[i/4+8][6][i%4];
			b +=c[64*1 + 64-i]*enwindow[i/4  ][6][i%4]; // ž

			a +=c[64*7 + i   ]*enwindow[i/4  ][7][i%4];
			a -=c[64*0 + 32-i]*enwindow[i/4+8][7][i%4]; // ž
			b +=c[64*7 + i+32]*enwindow[i/4+8][7][i%4];
			b +=c[64*0 + 64-i]*enwindow[i/4  ][7][i%4]; // ž
#endif
			yprime[16-i] = a;
			yprime[i+16] = b;
		}
		c -= 32;

		for( i=0; i<16; i++ ){
			register float	s0, s1;

			s0 = s1 = 0.0;
			for( k=0; k<32; k+=4 ){
				s0 += idct_coefficient[i][k  ]*yprime[k+0];
				s1 += idct_coefficient[i][k+1]*yprime[k+1];
				s0 += idct_coefficient[i][k+2]*yprime[k+2];
				s1 += idct_coefficient[i][k+3]*yprime[k+3];
			}
			xout[i+ 0] = s0+s1;
			xout[31-i] = s0-s1;
		}
		xout += 32;
	}
}
#endif

#define NULL_FUNC (void (*)( int (*)[1784], int, int ) )NULL
#define NULL_FUNC2 (void (*)(int (*)[1784], short *, float (*)[1664], int , int))NULL

void
setup_window_filter_subband(int useUNIT)
{
	static int SCALEflag = 0;

	frame_shiftin_multi = NULL_FUNC2;
#ifdef USE_E3DN
	if(useUNIT & tE3DN){
		SETUP_DSP("use:window_filter_subband_E3DN\n");
		window_filter_subband=window_filter_subband_E3DN;
		SETUP_DSP("use:sbd_shiftin_E3DN\n");
		sbd_shiftin = sbd_shiftin_E3DN;
	}else
#endif
	if(useUNIT & t3DN){
		SETUP_DSP("use:window_filter_subband_3DN\n");
		window_filter_subband=window_filter_subband_3DN;
		SETUP_DSP("use:sbd_shiftin_3DN\n");
		sbd_shiftin = sbd_shiftin_3DN;
	}else
	if(useUNIT & tSSE){
		SETUP_DSP("use:window_filter_subband_SSE\n");
		window_filter_subband=window_filter_subband_SSE;
		if(useUNIT & tMULTI){
			if(useUNIT & tSPC2){
				SETUP_DSP("use:sbd_shiftin_SSE_MULTI\n");
				sbd_shiftin = sbd_shiftin_SSE_MULTI;
				frame_shiftin_multi = NULL_FUNC2;
			}else{
				SETUP_DSP("use:frame_shiftin_multi_SSE\n");
				sbd_shiftin = sbd_shiftin_empty;
				frame_shiftin_multi = frame_shiftin_multi_SSE;
			}
		}else{
			if(useUNIT & tSPC2){
				SETUP_DSP("use:frame_shiftin_multi_SSE\n");
				sbd_shiftin = sbd_shiftin_empty;
				frame_shiftin_multi = frame_shiftin_multi_SSE;
			}else{
				SETUP_DSP("use:sbd_shiftin_SSE\n");
				sbd_shiftin = sbd_shiftin_SSE;
				frame_shiftin_multi = NULL_FUNC2;
			}
		}
	}else
	{
		SETUP_DSP("use:window_filter_subband_FPU\n");
		window_filter_subband=window_filter_subband_FPU;
		SETUP_DSP("use:sbd_shiftin_C\n");
		sbd_shiftin = sbd_shiftin_C;
	}
	if(!SCALEflag){
    int i,j;
    for(i=0; i<16; i++){
	for(j=0; j<8; j++){
	    enwindow[i][j][0] *= SCALER;
	    enwindow[i][j][1] *= SCALER;
	    enwindow[i][j][2] *= SCALER;
	    enwindow[i][j][3] *= SCALER;
	}
    }
    SCALEflag=1;
	}
}

