#include <stdlib.h>
#include <stdio.h>
#include <signal.h>

void got_interrupt ()
{
  fprintf (stderr, "Got interrupt!\n");
  exit (1);
}

main (int ac, char **av)
{
  register int i = 0, percent=0;

  signal (SIGTERM, got_interrupt);
  signal (SIGINT, got_interrupt);
  setlinebuf(stdout);

  creat (av[2], 0666);

  for (;;) {
    /* For testing error 
    if (percent == 50) {
      printf ("@E 0x0B\n");
      break;
      }*/

    if (percent == 100) {
      printf ("@P 100%% :-)\n@X 0\n");
      break;
    }
    
    printf ("@P %0d%% :-)\n", percent);
    
    if ((i % 3 == 0))
      percent++;

    i++;
    usleep (10000);
  }
}
