#include <stdlib.h>
#include <stdio.h>
#include <string.h>

/* Remove suffix from filename */
void remove_suffix (char *name, const char *suffix)
{
  char *np;
  const char *sp;

  np = name + strlen (name);
  sp = suffix + strlen (suffix);

  while (np > name && sp > suffix)
    if (*--np != *--sp)
      return;
  if (np > name)
    *np = '\0';
}

main (int ac, char **av)
{
  register int i = 0, percent=0;
  char buf[256];

  setlinebuf(stdout);

  remove_suffix (av[1], ".wav");
  sprintf (buf, "%s.mp3", av[1]);
  creat (buf, 0666);

  for (;;) {
    if (percent == 100) {
      printf ("@P 100%%\n@X 0\n");
      break;
    }
    
    printf ("@P %d%%\n", percent);
    
    if ((i % 3 == 0))
      percent++;

    i++;
    usleep (10000);
  }
}
