#ident "$Id$"
#ifndef _debug_h
#define _debug_h

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <sys/time.h>
#include <errno.h>

#ifndef EXTERN
#define EXTERN extern
#endif 

/* Log file */
#define DEFAULT_LOG_FILE		"/dev/console"
#define TMP_LOG_FILE			"/tmp/omm.log"

/* Debug level */
#define DEBUG_GENERAL			(1 << 0)
#define DEBUG_CDPLAYER			(1 << 1)
#define DEBUG_MP3PLAYER			(1 << 2)
#define DEBUG_FILESEL			(1 << 3)
#define DEBUG_MANAGER			(1 << 4)
#define DEBUG_ENCODER			(1 << 5)
#define DEBUG_NAPSTER			(1 << 6)


#define DEFAULT_DEBUGLEVEL		(DEBUG_GENERAL | DEBUG_CDPLAYER | DEBUG_MP3PLAYER | DEBUG_FILESEL | DEBUG_MANAGER | DEBUG_ENCODER | DEBUG_NAPSTER);

EXTERN int debuglevel;
EXTERN char *progname;

#endif /* _debug_h */

