#ident "$Id$"
/*
 * OMM file-selector
 */
#include "omm.h"

static int old_state;

void lcd_filesel_open ()
{
  log_debug (DEBUG_GENERAL, "lcd_filesel_open");

  /* Save old state */
  old_state = omm_state;

  lcd_write_center (2, "open fsel", ATTR_NORMAL);
  omm_state = INTERNAL_STATE_FSEL;

}

void lcd_filesel_close ()
{
  omm_state = old_state;
  lcd_write_center (2, "close fsel", ATTR_NORMAL);
  log_debug (DEBUG_GENERAL, "lcd_filesel_close");
}

void lcd_filesel_next_page ()
{
  log_debug (DEBUG_GENERAL, "lcd_filesel_next_page");
}

void lcd_filesel_previous_page ()
{
  log_debug (DEBUG_GENERAL, "lcd_filesel_previous_page");
}
