#ident "$Id: omm_api.h,v 1.2 2000/12/12 10:38:59 pierre Exp pierre $"
#ifndef _omm_api_h
#define _omm_api_h

typedef int omm_api_event;
typedef char boolean;

typedef struct _omm_event_handler {
  int code;		/* event code */
  int current_state;	/* state before event */
  void (*handler)();	/* event handler */
} omm_event_handler;

/* Prototypes */
void omm_api_init(omm_event_handler *event_handler_tab, char *fifo_name, boolean use_stdin);
void omm_api_close(void);
void omm_api_main_loop(void);
void omm_api_get_event(omm_api_event *ev);
void omm_api_handle_event(omm_api_event *ev);
omm_api_event omm_api_get_current_event();
void omm_api_start_input (char *s, void (*fn_ok), void (*fn_abort));
char *omm_api_get_input_str ();


#endif /* _omm_api_h */
