#!/bin/sh

gnuplot << EOF
set term png
set title "patches"
set output "patches.png"
set xlabel "milliseconds"
set ylabel "occurrences"
set logscale x
set logscale y
set xrange [.1 to *]
set yrange [.1 to *]

plot "lowlat" with lines, \
"rtsched" with lines, \
"preempt" with lines
EOF

