#!/bin/sh

gnuplot << EOF
set term png
set title "timesys vs patch"
set output "timesys.png"
set xlabel "millisecondes"
set ylabel "occurrences"
set logscale x
set logscale y
set xrange [.1 to *]
set yrange [.1 to *]

plot "low+pre" with lines, \
"timesys" with lines
EOF

